Đến nội dung


Hình ảnh
* * * - - 8 Bình chọn

Viết lisp theo yêu cầu [phần 2]


  • Chủ đề bị khóa Chủ đề bị khóa
3783 replies to this topic

#3541 3d.decor

3d.decor

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 03 June 2011 - 09:22 AM

mong các pro viết thêm mọt hai dòng lisp nữa
lisp không tẩy được layer có trong block
nhìn rất khó chịu
thank you


(defun c:dlay (/ ss ssl en enl lay)
(vl-load-com)
(command "undo" "be")
(setq ss (ssget "x")
ssl (acet-ss-to-list ss))
(foreach en ssl
(setq enl (entget en)
lay (cdr (assoc 8 enl)))
(if (or (/= lay "cut") (/= lay "glass") (/= lay "hide") (/= lay "hatch") (/= lay "funitures") (/= lay "tree") (/= lay "text") (/= lay "center"))
(progn
(if (= (tblsearch "layer" "wall") nil)
(command "layer" "n" "wall" "c" "7" "wall" "lt" "continuous" "wall" "")
)
(command "change" en "" "p" "la" "wall" "")
(if (/= (cdr (assoc 62 enl)) nil)
(command "change" en "" "p" "c" "7" "")
)
)
)
)
(command "-purge" "a" "" "N")
(command "undo" "e")
(princ))
)

  • 1

#3542 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 03 June 2011 - 12:12 PM

thank you pro
em tạm chế từ lisp khác
chạy cũng ổn
hehe trình độ còi nên đành chế vậy

Hề hề hề,
Vậy là cái trình độ lisper của bạn đâu có còi đâu. ý bác Phạm Ngọc Tú cũng y chang vậy mà, Khác chăng là bác ấy xài trên dòng command và bạn thi nhét luôn vào líp cho đỡ phải gõ lần nữa thôi mà.
Rất mong bạn phát huy cái "còi" của bạn để giúp cho công việc của bạn và các anh em khác trên diễn đàn.
Chúc bạn luôn thành công.
hề hề hề.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3543 3d.decor

3d.decor

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 03 June 2011 - 11:07 PM

mong các pro viết thêm mọt hai dòng lisp nữa
lisp không tẩy được layer có trong block
nhìn rất khó chịu
thank you


(defun c:dlay (/ ss ssl en enl lay)
(vl-load-com)
(command "undo" "be")
(setq ss (ssget "x")
ssl (acet-ss-to-list ss))
(foreach en ssl
(setq enl (entget en)
lay (cdr (assoc 8 enl)))
(if (or (/= lay "cut") (/= lay "glass") (/= lay "hide") (/= lay "hatch") (/= lay "funitures") (/= lay "tree") (/= lay "text") (/= lay "center"))
(progn
(if (= (tblsearch "layer" "wall") nil)
(command "layer" "n" "wall" "c" "7" "wall" "lt" "continuous" "wall" "")
)
(command "change" en "" "p" "la" "wall" "")
(if (/= (cdr (assoc 62 enl)) nil)
(command "change" en "" "p" "c" "7" "")
)
)
)
)
(command "-purge" "a" "" "N")
(command "undo" "e")
(princ))
)

  • 0

#3544 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 04 June 2011 - 02:07 PM

mong các pro viết thêm mọt hai dòng lisp nữa
lisp không tẩy được layer có trong block
nhìn rất khó chịu
thank you

Hề hề hề,
Với các chú block thì nếu muốn xử nó bạn cần nói rõ hơn mới được. Tỷ như các block này có chứa các block con hay không??? Các block này được tạo từ cái gì?? Có gồm các đối tượng Xref không??? Có cho phép phá vỡ các block hay vẫn cứ phải giữ nguyên nó ????
Ái chà chà, bạn suy nghĩ thêm ky kỹ một chút rồi đặt lại vấn đề cho chuẩn xác nhé.
Hề hề hề,....
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3545 bibibobobaby

bibibobobaby

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 June 2011 - 02:33 PM

Lần đầu tham gia diễn đàn, có gì sai sót mong mọi người bỏ qua :(((
Em đang có 2 bản vẽ nhà thế này. Giờ làm sao dùng lisp để ứng dụng lên bản vẽ này được ạh? (như viết code để vẽ cửa đi, cầu thanng,... tự động) Hay làm sao dùng lisp để vẽ bản vẽ như thế 1 cách tự động dc ạh? em không rành lisp, tìm được nhiều file lisp rồi mà không bik cak sử dụng. Mong anh Nguyen Hoanh giúp đỡ :( t2 này phải viết báo cáo rồi :((((((((( em tự mày mò hoài ko ra :(((((
http://www.mediafire...8uckc58/hoc.dwg
http://www.mediafire...cqb3/NHA IN.dwg

Mình đang tìm hiểu về lisp cho nhóm, và mình muốn dùng lisp để thực hành trên bản vẽ này (vẽ thêm cầu thang, cửa, tường,...). Bạn nào có thể cho mình file lisp cũng như cách thực hiện các bước để thao tác lisp trên bản vẽ không? đa tạ nhiều lém :D

http://www.mediafire...8uckc58/hoc.dwg
email của mình là n.anhdonguyen@gmail.com
Mình mong sự giúp đỡ từ diễn đàn nhìu nhìu :D
  • 0

#3546 3d.decor

3d.decor

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 04 June 2011 - 04:29 PM

Hề hề hề,
Với các chú block thì nếu muốn xử nó bạn cần nói rõ hơn mới được. Tỷ như các block này có chứa các block con hay không??? Các block này được tạo từ cái gì?? Có gồm các đối tượng Xref không??? Có cho phép phá vỡ các block hay vẫn cứ phải giữ nguyên nó ????
Ái chà chà, bạn suy nghĩ thêm ky kỹ một chút rồi đặt lại vấn đề cho chuẩn xác nhé.
Hề hề hề,....

mình cần tẩy layer thôi còn các block giữ nguyên thuộc tính, chỉ là chuyển layer thôi
ko cần xref vì mình không dùng xref
  • 0

#3547 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 04 June 2011 - 09:50 PM

Lần đầu tham gia diễn đàn, có gì sai sót mong mọi người bỏ qua :(((
Em đang có 2 bản vẽ nhà thế này. Giờ làm sao dùng lisp để ứng dụng lên bản vẽ này được ạh? (như viết code để vẽ cửa đi, cầu thanng,... tự động) Hay làm sao dùng lisp để vẽ bản vẽ như thế 1 cách tự động dc ạh? em không rành lisp, tìm được nhiều file lisp rồi mà không bik cak sử dụng. Mong anh Nguyen Hoanh giúp đỡ :( t2 này phải viết báo cáo rồi :((((((((( em tự mày mò hoài ko ra :(((((
http://www.mediafire...8uckc58/hoc.dwg
http://www.mediafire...cqb3/NHA IN.dwg

Mình đang tìm hiểu về lisp cho nhóm, và mình muốn dùng lisp để thực hành trên bản vẽ này (vẽ thêm cầu thang, cửa, tường,...). Bạn nào có thể cho mình file lisp cũng như cách thực hiện các bước để thao tác lisp trên bản vẽ không? đa tạ nhiều lém :D

http://www.mediafire...8uckc58/hoc.dwg
email của mình là n.anhdonguyen@gmail.com
Mình mong sự giúp đỡ từ diễn đàn nhìu nhìu :D

Một câu hỏi mông lung sẽ khó lòng nhận được một câu trả lời cụ thể. Bạn post 2 bản vẽ lên với hàng trăm đối tượng và đưa ra 1 đề bài :"Vẽ tự động"
Dù bạn không rành lisp, nhưng bạn cũng cần nhớ Lisp liếc gì gì cũng là từ cái máy mà ra, đã là máy thì chỉ làm cái mà mình quyết định cho nó làm, và quyết định của bạn không phải ai cũng mần hộ được.
Lisp cũng là 1 ngôn ngữ lập trình, nên bạn chí ít cần biết sơ qua về tư duy lập trình đã :)
Mình nghĩ bạn nên nghiêm túc đọc các bài giới thiệu về lisp, chứ đốt cháy giai đoạn như thế, e.. ít người có khả năng
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3548 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 05 June 2011 - 12:15 AM

mình cần tẩy layer thôi còn các block giữ nguyên thuộc tính, chỉ là chuyển layer thôi
ko cần xref vì mình không dùng xref

Bạn dùng thử cái này coi sao nhé.

(defun c:dlay (/ ss ssl en enl lay)
(vl-load-com)
(command "undo" "be")
(setq ss (ssget "x")
ssl (acet-ss-to-list ss))
(if (= (tblsearch "layer" "wall") nil)
(command "layer" "n" "wall" "c" "7" "wall" "lt" "continuous" "wall" "")
)
(foreach en ssl
(setq enl (entget en)
lay (cdr (assoc 8 enl)))
(if (or (/= lay "cut") (/= lay "glass") (/= lay "hide") (/= lay "hatch") (/= lay "funitures") (/= lay "tree") (/= lay "text") (/= lay "center"))
(progn
(command "change" en "" "p" "la" "wall" "")
(if (/= (cdr (assoc 62 enl)) nil)
(command "change" en "" "p" "c" "7" "")
)
)
)
(if (= (cdr (assoc 0 enl)) "INSERT")
(progn
(setq bln (cdr (assoc 2 enl)))
(dbl bln)
)
)
)
(command "regenall")
(command "undo" "e")
(princ)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun dbl (bln / e1 el1 lay )
(setq e1 (cdr (assoc -2 (tblsearch "block" bln))))
;;;;;(setq e1 (entnext en))
(while e1
(setq el1 (entget e1))
(if (/= (cdr (assoc 0 el1)) "INSERT")
(progn
(setq lay (cdr (assoc 8 el1)))
(if (or (/= lay "cut") (/= lay "glass") (/= lay "hide") (/= lay "hatch") (/= lay "funitures") (/= lay "tree") (/= lay "text") (/= lay "center"))
(progn
(setq el1 (subst (cons 8 "wall") (assoc 8 el1) el1))
(if (/= (cdr (assoc 62 el1)) nil)
(setq el1 (subst (cons 62 7) (assoc 62 el1) el1))
(setq el1 (cons (cons 62 7) el1))
)
(entmod el1)
)
)
)
(dbl (cdr (assoc 2 (entget e1))))
)
(setq e1 (entnext e1))
)
)

  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3549 3d.decor

3d.decor

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 05 June 2011 - 01:14 PM

vẫn khônh được bác pham thanh binh a
bác thử sửa từ lisp này xem
nhưng trừ layer: cut,glass,hide,hatch,funitures,tree,text,center
lisp này không biết pro nào viết tẩy cả block và dim cực kỳ pro
mong pro nào rảnh giúp đỡ

(defun c:clear(/ nla)
(vl-load-com)
(command "undo" "be")
(setvar "cmdecho" 0)
(setq nla "funitures")
(if (not (tblsearch "layer" nla))(command "layer" "n" nla "c" "31" nla "lt" "continuous" nla ""))
(setvar "clayer" nla)
(command "change" (ssget "X") "" "p" "la" nla "c" "31" "")
(setq adoc (vla-get-activedocument (vlax-get-acad-object)))
(vlax-for block (vla-get-blocks adoc)
(if (not (wcmatch (strcase (vla-get-name block) t) "*_space*"))
(vlax-for ent block
(progn
(vla-put-color ent "31")
(vla-put-layer ent "funitures")
)
)
)
)
(acet-sysvar-set (list "dimclrt" 256 "dimclre" 256 "dimclrd" 256 "INSUNITS" 4 "INSUNITSDEFSOURCE" 4 "INSUNITSDEFTARGET" 4))
(command "dim1" "update" (ssget "X" '((0 . "Leader"))) "")
(vla-regen adoc acactiveviewport)
(command "-purge" "a" "" "N")
(command "undo" "e")
(princ))

[/quote]
sory pro ketxu
mong pro giúp amater cái
chuyển tất cả nhưng trừ lại một số layer: cut,glass,hide,hatch,funitures,tree,text,center
không cần chuyển dim, hoặc chuyển cả dim ( cái này thì sao cũng được )
thank you
  • 0

#3550 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 05 June 2011 - 01:45 PM

vẫn khônh được bác pham thanh binh a
bác thử sửa từ lisp này xem
nhưng trừ layer: cut,glass,hide,hatch,funitures,tree,text,center
lisp này không biết pro nào viết tẩy cả block và dim cực kỳ pro
mong pro nào rảnh giúp đỡ

vẫn không đưõc

My link
Những cái @ nếu bạn có ý định post lại tại chính diễn đàn thì đừng xóa nó đi :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3551 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 05 June 2011 - 06:16 PM

vẫn khônh được bác pham thanh binh a
bác thử sửa từ lisp này xem
nhưng trừ layer: cut,glass,hide,hatch,funitures,tree,text,center
lisp này không biết pro nào viết tẩy cả block và dim cực kỳ pro
mong pro nào rảnh giúp đỡ

Hề hề hề,
Mình test thử thấy nó chạy phăm phăm và chuyển tất cả những thằng nào không phải ở các lớp đã chỉ định về lớp Wall mà. Thậm chí cả màu cũng đã chuyển ngon lành về màu 7 bất kể là màu by layer hay không.
Cái bạn bảo không được là cái chi nhỉ?? Chắc là cái vụ purge thì phải vì trong lisp mình quên chưa bổ sung thằng cu này. Việc này bạn có thể tự bổ sung được rồi mà.
Hề hề hề.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3552 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 05 June 2011 - 09:58 PM

Cảm ơn anh Ketxu cái lisp Nut. Mục đích của lisp là đúng rồi, làm trên Line thì tốt.
Nhưng sao "chọn đối tượng" là PLine thì không được

Cái lisp mình sửa trên lisp bạn gửi, theo yêu cầu change của bạn, cũng chẳng biết mục đích là gì đâu ^^
Bạn sửa lại lisp thành thế này cho chắc :
(defun C:nut() (setq ent (car(entsel "\n Chon doi tuong"))) 
(if (=(cdadr (entget ent)) "LINE")(command "pedit" ent "" "E" "I" pause "x" ""))
(if (=(cdadr (entget ent)) "LWPOLYLINE")(command "pedit" ent "E" "I" pause "x" ""))
)

Hề hề hề,
Mình test thử thấy nó chạy phăm phăm và chuyển tất cả những thằng nào không phải ở các lớp đã chỉ định về lớp Wall mà. Thậm chí cả màu cũng đã chuyển ngon lành về màu 7 bất kể là màu by layer hay không.
Cái bạn bảo không được là cái chi nhỉ?? Chắc là cái vụ purge thì phải vì trong lisp mình quên chưa bổ sung thằng cu này. Việc này bạn có thể tự bổ sung được rồi mà.
Hề hề hề.

E cũng thử test trên 1 bản vẽ nhiều layer, có 1 layer bị khoá, thì thấy nó cứ chạy hoài, chạy hoài bác ạ...
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3553 3d.decor

3d.decor

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 June 2011 - 08:55 AM

Hề hề hề,
Mình test thử thấy nó chạy phăm phăm và chuyển tất cả những thằng nào không phải ở các lớp đã chỉ định về lớp Wall mà. Thậm chí cả màu cũng đã chuyển ngon lành về màu 7 bất kể là màu by layer hay không.
Cái bạn bảo không được là cái chi nhỉ?? Chắc là cái vụ purge thì phải vì trong lisp mình quên chưa bổ sung thằng cu này. Việc này bạn có thể tự bổ sung được rồi mà.
Hề hề hề.

em dùng rồi
lisp chạy hơi nặng và hơi lâu pro à
lisp tẩy( chuyển đổi ) nhầm một số layer em định trừ lại, nhiều lúc chuyển tất cả layer về layer wall
nhiều lúc chuyển ko hết để lại một số layer thừa ( em định chuyển về layer wall

hehe em lại tạm chế được rồi
lisp clear.lsp của pro ketxu em lock những layer ko cần chuyển
sau đó chạy lisp
những layer lock sẽ không bị chuyển
kakaka
  • 0

#3554 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 06 June 2011 - 10:17 AM

Vì bạn không chịu đọc bài mình nói

Cái theo yêu cầu Nhờ anh tạo lại cái lisp Nut vẫn sử dụng lệnh PE nhưng vào thẳng "Specify location for new vertex:"
không phải gõ "e" -> "i"


Update code : cho phép bạn chèn liên tiếp, đến bao giờ ấn Esc thì thôi!

(defun C:pe(/ ent) (setq ent (car(entsel "\n Chon doi tuong"))) 
(cond ((=(cdadr (entget ent)) "LINE")
(command "pedit" ent "" "E" )
(while (< 0 (getvar "CMDACTIVE")) (command "I" pause))
)
((=(cdadr (entget ent)) "LWPOLYLINE")
(command "pedit" ent "E")
(while (< 0 (getvar "CMDACTIVE")) (command "I" pause))
)
))


Nếu mình muốn chèn new vertex tại vị trí giữa vertex thứ 3 và thứ 4 thì lisp này chắc sẽ bị problem nhỏ. ko biết Ketxu đã tính đến chưa?
  • 1

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#3555 tomboy

tomboy

    biết vẽ polygon

  • Members
  • PipPip
  • 72 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 06 June 2011 - 11:29 AM

mình cần tẩy layer thôi còn các block giữ nguyên thuộc tính, chỉ là chuyển layer thôi
ko cần xref vì mình không dùng xref

chịu thua, chưa 1 lisp nào có thể tẩy được layer của bản vẽ mà thuộc tính của Block được giữ nguyên, nói chung bạn phải định nghĩa lại block của bạn bằng phương pháp thủ công trước khi bạn sử dụng lệnh dlay của bạn
  • 0

#3556 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 06 June 2011 - 11:34 AM

chịu thua, chưa 1 lisp nào có thể tẩy được layer của bản vẽ mà thuộc tính của Block được giữ nguyên, nói chung bạn phải định nghĩa lại block của bạn bằng phương pháp thủ công trước khi bạn sử dụng lệnh dlay của bạn

Sao lại có kết luận này bác nhỉ :blink:
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3557 tomboy

tomboy

    biết vẽ polygon

  • Members
  • PipPip
  • 72 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 06 June 2011 - 11:42 AM

Sao lại có kết luận này bác nhỉ :blink:

bạn có chắc dùng lisp để tẩy hết các layer thừa trong bản vẽ trong khi các blocl của bản vẽ đó vẫn giữ nguyên thuộc tính được không?
  • 0

#3558 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 06 June 2011 - 12:07 PM

E cũng thử test trên 1 bản vẽ nhiều layer, có 1 layer bị khoá, thì thấy nó cứ chạy hoài, chạy hoài bác ạ...

Hề hề hề,
Xin lỗi bác ketxu vì mình chưa test với layer bị khóa. Có nhẽ do bị khóa mà lisp nó tức quá vì không chuyển được nên nó cứ chạy loanh quanh hoài như vậy. Để mình kiểm tra lại bác nhé.

@ bạn 3d.decor: Lisp tẩy nhầm vì cái tên của layer đó không có trong đề bài bạn đưa ra. Bạn hãy xem kỹ cái lisp để biết những layer sẽ không bị chuyển. Ngoài các layer đã được thống kê trong hàm (or .....) nếu bạn muốn thêm layer nào nữa thì chỉ việc thêm nó vào trong hàm này bạn nhé.
Tương tự với cái không muốn mà bị chuyển, bạn phải loại cái tên layer đó ra khỏi cái hàm (or ....)

Hề hề hề,...
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3559 tomboy

tomboy

    biết vẽ polygon

  • Members
  • PipPip
  • 72 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 06 June 2011 - 12:28 PM

Hề hề hề,
Xin lỗi bác ketxu vì mình chưa test với layer bị khóa. Có nhẽ do bị khóa mà lisp nó tức quá vì không chuyển được nên nó cứ chạy loanh quanh hoài như vậy. Để mình kiểm tra lại bác nhé.

@ bạn 3d.decor: Lisp tẩy nhầm vì cái tên của layer đó không có trong đề bài bạn đưa ra. Bạn hãy xem kỹ cái lisp để biết những layer sẽ không bị chuyển. Ngoài các layer đã được thống kê trong hàm (or .....) nếu bạn muốn thêm layer nào nữa thì chỉ việc thêm nó vào trong hàm này bạn nhé.
Tương tự với cái không muốn mà bị chuyển, bạn phải loại cái tên layer đó ra khỏi cái hàm (or ....)

Hề hề hề,...

lisp của bạn chỉ có tác dụng cho 1 bản vẽ duy nhất, nếu bản vẽ khác, layer khác thì lại phải lisp khác, bạn nên cải tiến cho tham số đầu vào để linh hoạt với tất cả bản vẽ
  • 1

#3560 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 06 June 2011 - 12:35 PM

lisp của bạn chỉ có tác dụng cho 1 bản vẽ duy nhất, nếu bản vẽ khác, layer khác thì lại phải lisp khác, bạn nên cải tiến cho tham số đầu vào để linh hoạt với tất cả bản vẽ

Bạn tomboy chú ý đây là khu vực viết lisp theo yêu cầu: nên lisp viết ra phục vụ cho ng yêu cầu là chính (1 mục đích) ng khác thấy dùng dc thì down về edit lại để xài.

Theo yêu cầu của bạn -> Bạn nên tạo thread mới chẳng hạn: viết software theo yêu cầu sau đó tập hợp nhiều ý tưởng cho từng chuyên ngành cụ thể -> viết soft để giải quyết tất cả những yêu cầu đó.
  • 0

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341